WaitKitWaitKit
API

Waitlist Entries

Management API for waitlist entry CRUD operations.

The Waitlist Entries API lets you view and manage subscribers for a project. These endpoints require session authentication.

List entries

curl "https://api.waitkit.dev/api/project/<projectId>/waitlist?page=1&limit=20&search=user@example.com" \
  -H "Cookie: <session>"

Supports pagination (page, limit) and search (search query param).

Get entry

curl https://api.waitkit.dev/api/project/<projectId>/waitlist/<entryId> \
  -H "Cookie: <session>"

Update entry

curl -X PUT https://api.waitkit.dev/api/project/<projectId>/waitlist/<entryId> \
  -H "Content-Type: application/json" \
  -H "Cookie: <session>" \
  -d '{"name": "Updated Name"}'

Delete entry

curl -X DELETE https://api.waitkit.dev/api/project/<projectId>/waitlist/<entryId> \
  -H "Cookie: <session>"

Soft-deletes the entry.

On this page